AddNotificationsAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddNotificationsAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class AddNotificationsAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.BaseAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.AddNotificationsAction

All Implemented Interfaces:
  NotificationsAction

Direct Known Subclasses:
  AddOthersAction, AddUsersAction

    public abstract class AddNotificationsAction

extends BaseAction
implements NotificationsAction

Abstract base class for adding notifications to an alert definition.

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.BaseAction
`NO_RETURN_PATH, YES_RETURN_PATH`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`AddNotificationsAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Add roles to the alert definition specified in the given `AddRolesForm`.
`protected abstract java.util.Set` | `getNotifications(AddNotificationsForm form, javax.servlet.http.HttpSession session)`
`protected abstract void` | `postProcess(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpSession session)`
`protected abstract org.apache.struts.action.ActionForward` | `preProcess(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, AddNotificationsForm form, java.util.Map params, javax.servlet.http.HttpSession session)`

Methods inherited from class org.hyperic.hq.ui.action.BaseAction
`checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, constructForward, constructForward, constructForward, constructForward, execute, returnAdd, returnAdd, returnAdd, returnCancelled, returnCancelled, returnCancelled, returnCancelled, returnFailure, returnFailure, returnFailure, returnFailure, returnFailure, returnNew, returnNew, returnNew, returnNew, returnNew, returnOkAssign, returnOkAssign, returnRemove, returnRemove, returnRemove, returnReset, returnReset, returnReset, returnReset, returnSuccess, returnSuccess, returnSuccess, returnSuccess, returnSuccess`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.NotificationsAction
`getNotificationType`

Constructor Detail

### AddNotificationsAction

    public AddNotificationsAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Add roles to the alert definition specified in the given `AddRolesForm`.

  Overrides:
    `execute` in class `BaseAction`
  Throws:
    `java.lang.Exception`

### preProcess

    protected abstract org.apache.struts.action.ActionForward preProcess(javax.servlet.http.HttpServletRequest request,
                                                                         org.apache.struts.action.ActionMapping mapping,
                                                                         AddNotificationsForm form,
                                                                         java.util.Map params,
                                                                         javax.servlet.http.HttpSession session)
                                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### postProcess

    protected abstract void postProcess(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpSession session)

### getNotifications

    protected abstract java.util.Set getNotifications(AddNotificationsForm form,
                                                      javax.servlet.http.HttpSession session)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.